using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Nodify.Calculator
{
    public enum SystemOperations
    {
        COPY,
        IF,
        TAKE,
        BEGIN,
        END,
        DEBUG_AND_CREATE_MODEL,
        GET_SET,
        PARSEJSON,
        SPLIT
    }

    public class SystemOperationViewModel : OperationViewModel
    {
        private SystemOperations _systemOperation;

        public SystemOperations SystemOperationType
        {
            get => _systemOperation;
            set => SetProperty(ref _systemOperation, value);
        }
    }
}
